Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1812536 - Healthcheck for containers time out with error: rpc error: code = 4 desc = context deadline exceeded
Summary: Healthcheck for containers time out with error: rpc error: code = 4 desc = c...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.6
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1186913
TreeView+ depends on / blocked
 
Reported: 2020-03-11 14:24 UTC by Ignacio
Modified: 2021-01-17 19:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-05 19:24:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Derrick Ornelas 2020-03-12 15:24:57 UTC
For the sake of troulbeshooting, are you able to reproduce this issue on the latest, supported[1] version of docker, 1.13.1-109.gitcccb291.el7_7?


[1] https://access.redhat.com/support/policy/updates/extras

Comment 2 Ignacio 2020-03-12 15:33:29 UTC
No, I was not able to reproduce it on latest version (1.13.1-109.gitcccb291.el7_7)

This BZ comes from a Root Cause Analysis where I tried to find the reason why the Controller entered in a bad state.

I reviewed all the BZ introduced between Cu version (docker-1.13.1-96.gitb2f74b2.el7.x86_64) and latest one (1.13.1-109.gitcccb291.el7_7) and I didn't find any issue similar to this one.

Comment 6 Tom Sweeney 2020-04-29 21:51:00 UTC
I'll let Dan hit the final button, but here's our standard response to RHEL 7 Docker issues:

We are unable to ship another version of Docker at this time.  RHEL7 is in final support stages where only security fixes will get released.  Starting in RHEL 8.0, Docker was replaced by Podman and we encourage transitioning to Podman from Docker.

Comment 7 Laxmikanth 2020-08-11 19:09:50 UTC
Hello, Need some help, we are facing the same issue and the version of docker we are using 19.03.6

time="2020-08-10T12:26:25.638214764Z" level=warning msg="Health check for container dcca6a8f13bc9b9d14b7b5d33fae871e52d3fb6a119193cf52bef9000f0 error: context deadline exceeded"
time="2020-08-10T12:26:27.868038767Z" level=warning msg="Health check for container 36c2af3d2f9bae63d7f59726230bad75779ae4ae5eb110fc7588de8deb4 error: context deadline exceeded"
time="2020-08-10T12:26:27.886391044Z" level=warning msg="Health check for container 66a471e6466bd818cf717170c0c3f6468411a845b4a889356781c0420c6 error: context deadline exceeded"
time="2020-08-10T12:27:05.642980355Z" level=warning msg="Health check for container dcca6a8f13bc9b9d14b7b5d33fae871e52d3fb6a119193cf52bef9000f0 error: context deadline exceeded"
time="2020-08-10T12:27:07.872139205Z" level=warning msg="Health check for container 36c2af3d2f9bae63d7f59726230bad75779ae4ae5eb110fc7588de8deb error: context deadline exceeded"
time="2020-08-10T12:27:07.889982095Z" level=warning msg="Health check for container 66a471e6466bd818cf717170c0c3f6468411a845b4a889356781c0420c6 error: context deadline exceeded"


Note You need to log in before you can comment on or make changes to this bug.